﻿//////////////////////////////////////////////
// TextureUtilsWrapper.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Forward decl -----------------------------

namespace nkScripts
{
	class Environment ;
}

/// Includes ---------------------------------

// nkAstraeus
#include "../../../../Dll/DllDefines.h"

// nkScripts
#include <NilkinsScripts/Environments/Functions/Function.h>

/// Class ------------------------------------

namespace nkAstraeus::lua::nkGraphicsWrap
{
	class DLL_ASTRAEUS_EXPORT TextureUtilsWrapper final
	{
		private :

			// Constructeur, destructeur
			TextureUtilsWrapper () = delete ;
			~TextureUtilsWrapper () = delete ;

		public :

			// Environment update
			static void updateEnvironment (nkScripts::Environment* env) ;

			// Callbacks
			// Irradiance
			static nkScripts::OutputValue computeIrradianceSH (const nkScripts::DataStack& stack) ;
	} ;
}