﻿//////////////////////////////////////////////
// DecodedData.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Includes ---------------------------------

// nkGraphics
#include "DecodedMeshData.h"

// nkMemory
#include <NilkinsMemory/Containers/Buffer.h>
#include <NilkinsMemory/Containers/BufferCast.h>

/// Structs ----------------------------------

namespace nkGraphics
{
	struct DecodedData
	{
		// Attributes
		nkMemory::BufferCast<DecodedMeshData> _meshData ;
	} ;
}